.required:after {
    content: " *";
    color: red;
}

.dim_wrapper {
    position: fixed;
    width: 100%;
    height: 100%;
    background-image: url("../img/ajax.gif");
    background-position: center center;
    background-repeat: no-repeat;
    background-color: rgba(0, 0, 0, .4);
    z-index: 10000;
}

.swal2-popup .swal2-content {
    font-size: 1.75em !important;
}

.swal2-popup .swal2-styled.swal2-confirm {
    font-size: 1.5em !important;
}

.content-footer {
    height: 20px;
}

.typewriter {
    font-family: "Courier New", Courier, monospace;
}

/* Page loading screen */
.loader {
    position: absolute;
    top: 50%;
    left: 50%;
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #06726e; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;

}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.still-measuring {
    color: #c7254e;
    background-color: #f9f2f4;
}

.off-payroll {
    color: #ff9b2a;
    background-color: #fff3ee;
}

.box-shadow--2dp {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2), 0 1px 5px 0 rgba(0, 0, 0, .12)
}

.box-shadow--3dp {
    box-shadow: 0 3px 4px 0 rgba(0, 0, 0, .14), 0 3px 3px -2px rgba(0, 0, 0, .2), 0 1px 8px 0 rgba(0, 0, 0, .12)
}

.box-shadow--4dp {
    box-shadow: 0 4px 5px 0 rgba(0, 0, 0, .14), 0 1px 10px 0 rgba(0, 0, 0, .12), 0 2px 4px -1px rgba(0, 0, 0, .2)
}

.box-shadow--6dp {
    box-shadow: 0 6px 10px 0 rgba(0, 0, 0, .14), 0 1px 18px 0 rgba(0, 0, 0, .12), 0 3px 5px -1px rgba(0, 0, 0, .2)
}

.box-shadow--8dp {
    box-shadow: 0 8px 10px 1px rgba(0, 0, 0, .14), 0 3px 14px 2px rgba(0, 0, 0, .12), 0 5px 5px -3px rgba(0, 0, 0, .2)
}

.box-shadow--16dp {
    box-shadow: 0 16px 24px 2px rgba(0, 0, 0, .14), 0 6px 30px 5px rgba(0, 0, 0, .12), 0 8px 10px -5px rgba(0, 0, 0, .2)
}
/* Modal green background, white text w. dropshadow - SM 2018-10-28 */
.label-header-area-green{
    font-size: 18px;
    padding: 5px 10px 5px 10px;
    color:white;
    text-shadow:1px 1px #000000;
    font-weight:bold;
    background-color: #06726e;
}

/* Modal grey background, black text w. box-dropshadow - SM 2018-10-28 */
.label-header-area-grey{
    font-size: 18px;
    padding: 5px 0px 5px 5px;
    border-radius: 3px 3px 3px 3px;
    color:black;
    background-color: #efefef;
    border:1px solid #06726e;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2), 0 1px 5px 0 rgba(0, 0, 0, .12)
}

/* ETC background shading for table rows - SM 2018-09-19 */
.etc-table-hover > tbody tr:hover {
    background-color: rgba(6, 114, 110, 0.075);
    cursor: default;
    /*background-color: red;*/
}

/* ETC background shading for table rows - SM 2018-09-19 */
.etc-table-hover-pointer > tbody tr:hover {
    background-color: rgba(6, 114, 110, 0.075);
    cursor: pointer;
    /*background-color: blue;*/
}


/*   Dropzone Style */

/*html, body {height: 100%;}*/
#actions {margin: 2em 0;}
/* Mimic table appearance */
div.table {display: table;}
div.table .file-row {display: table-row;}
div.table .file-row > div {display: table-cell;vertical-align: top;border-top: 1px solid #ddd;/*padding: 8px;*/}
div.table .file-row:nth-child(odd) {background: #f9f9f9;}
/* The total progress gets shown by event listeners */
#total-progress {opacity: 0;transition: opacity 0.3s linear;}
/* Hide the progress bar when finished */
#previews .file-row.dz-success .progress {opacity: 0;transition: opacity 0.3s linear;}
/* Hide the delete button initially */
#previews .file-row .delete {display: none;}
/* Hide the start and cancel buttons and show the delete button */
#previews .file-row.dz-success .start,
#previews .file-row.dz-success .cancel {display: none;}
#previews .file-row.dz-success .delete {display: block;}

div.dropzone {
    background-color: #fbfdff;
    border: 1px dashed #c0ccda;
    border-radius: 6px;
    margin:10px;
}

/* Hover highlight - added by Shawn? 2018-10-09 */
#documentypelist li a:hover{background-color: rgba(6, 114, 110, 0.075);}


/* ETC background shading for table rows - SM 2018-09-19 */
.etc-table-hover > tbody tr:hover {
    background-color: rgba(6, 114, 110, 0.075);
    cursor: default;
    /*background-color: red;*/
}

/* ETC background shading for table rows - SM 2018-09-19 */
.etc-table-hover-pointer > tbody tr:hover {
    background-color: rgba(6, 114, 110, 0.075);
    cursor: pointer;
    /*background-color: blue;*/
}

h3.box-title > label.control-label {
    font-weight: normal;
}

.mailbox-attachments li {
    white-space: nowrap;
    overflow: auto;
    position: relative;
}

.mailbox-attachment-info {
    overflow: hidden;
    text-overflow: ellipsis;
}

.mailbox-attachment-info .mailbox-attachment-name i.fa {
    display: inline-block;
    margin-right: 5px;
}

.mailbox-attachment-id {
    position: absolute;
    top: 5px;
    left: 5px;
}

.mailbox-attachment-remove {
    position: absolute;
    top: 5px;
    right: 5px;
    display: none;
    cursor: pointer;
}

.mailbox-attachments li:hover .mailbox-attachment-remove {
    display: block;
}

/* attached files list in message center */
.attached-files [data-files="empty"] {
    margin: 15px auto;
    text-align: center;
}

.attached-files .todo-list {
    max-height: 250px;
    white-space: nowrap;
    overflow: auto;
}

.attached-files .todo-list li {
    border-top: 1px solid #e6e7e8;
}

.attached-files .todo-list li:first-child {
    border-top: none;
}

.attached-files .todo-list li.checkbox {
    border-left: none;
    background: none;
}

.attached-files .todo-list li.checkbox label {
    overflow: hidden;
    text-overflow: ellipsis;
    width: 90%;
    padding-left: 10px;
}

.attached-files .todo-list > li .tools {
    float: left;
    display: inline-block;
    visibility: hidden;
}

.attached-files .todo-list > li:hover .tools {
    visibility: visible;
}

.attached-files .todo-list > li:hover .tools.uploaded {
    visibility: hidden !important;
}

.todo-list.user-list {
    max-height: 250px;
    white-space: nowrap;
    overflow: auto;
}

.todo-list.user-list li {
    border-top: 1px solid #e6e7e8;
}

.todo-list.user-list li:first-child {
    border-top: none;
}

.todo-list.user-list li.checkbox {
    border-left: none;
    background: none;
}

.todo-list.user-list li.checkbox label {
    overflow: hidden;
    text-overflow: ellipsis;
    width: 90%;
}


.full-height-column {
    height:calc(100vh - 225px);
}

.full-height-tag-sidebar {
    height:calc(100vh - 495px);
    overflow-y: scroll;
}


#login-msg-box {
    width: 360px;
    height: 300px;
}

@media (max-width: 768px) {
    #login-msg-box {
        width: 90%;
        height: 300px;
    }
}

.table-borderless > tbody > tr > td,
.table-borderless > tbody > tr > th,
.table-borderless > tfoot > tr > td,
.table-borderless > tfoot > tr > th,
.table-borderless > thead > tr > td,
.table-borderless > thead > tr > th {
    border: none;
}


#toast-container > div {
    opacity: 1;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    filter: alpha(opacity=100);
}


#approveCodeForm input[type=text]{
    padding:0px;
    margin-bottom:2px; /* Reduced from whatever it currently is */
    margin-top:2px; /* Reduced from whatever it currently is */
}

#approveCodeForm .form-group {
    margin-bottom:10px;
}

#approveCodeForm .help-block {
     color: red;
 }


.dropdown-menu{
    top: auto;
    max-height: 20vh;
    overflow-y:auto;
}
